#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_NewSevenDayCFGData
{
	//第几天
	int mDay;
	//奖励物品ID
	std::vector<int> mAwardItemIDs;
	//奖励物品数量
	std::vector<int> mAwardItemCounts;
	//累计签到奖励ID，0-无效
	int mAccumAwardId;
	//累计签到奖励数量
	int mAccumAwardCount;
};

class M_NewSevenDayCFG
{
public:
private:
	static std::auto_ptr<M_NewSevenDayCFG> msSingleton;
public:
	int GetCount();
	const M_NewSevenDayCFGData* GetData(int Day);
	boost::unordered_map<int, M_NewSevenDayCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_NewSevenDayCFG* GetSingleton();
private:
	boost::unordered_map<int, M_NewSevenDayCFGData> mMapData;
};
